Warning: preg_replace(): The /e modifier is deprecated, use preg_replace_callback instead in ..../includes/class_bootstrap.php(430) : eval()'d code on line 123
Problem with ipkg update
Results 1 to 6 of 6

Thread: Problem with ipkg update

  1. #1

    Problem with ipkg update

    First, sorry for my english.

    When i start ipkg update i get error:

    Downloading http://ipkg.nslu2-linux.org/feeds/op...le/Packages.gz
    sh: wget: Permission denied
    An error ocurred, return value: 1.
    Collected errors:
    ipkg_download: ERROR: Command failed with return value 127: `wget -q -P /opt/ipkg-znDmt5 http://ipkg.nslu2-linux.org/feeds/

    or

    flashfs save && flashfs commit && flashfs enable && reboot

    error is

    /sbin/flashfs: /sbin/flashfs: 20: cat: Permission denied
    /sbin/flashfs: /sbin/flashfs: 73: [: Permission denied
    tar: Removing leading '/' from member names
    tar: /tmp/local: Unknown file type
    tar: Error exit delayed from previous errors
    /sbin/flashfs: /sbin/flashfs: 73: ls: Permission denied
    Please help me.

  2. #2
    hmmm looks to me like a problem that wengi had some days ago and described it in the german part of this forum.
    FastJack came with the solution for it, so gratz to him if this helps!

    I believe you have bash installed, if so check your /opt/etc/profile and remove the following code:
    Code:
    PS1="[\u@\h \W]$ "
    PATH=/opt/sbin:/opt/bin:/sbin:/bin:/usr/sbin:/usr/bin
    LD_LIBRARY_PATH=/opt/lib:${LD_LIBRARY_PATH}
    
    export PS1 PATH LD_LIBRARY_PATH
    restart putty and it should work again hopefully

    hope that helps!
    Last edited by thejew; 08-09-2008 at 23:16.

  3. #3
    I solve the problem,
    Thank you all,
    My profile now like this


    #
    # Bash initialization script
    #

    PS1="[\u@\h \W]$ "
    PATH=/opt/sbin:/opt/bin:/sbin:/bin:/usr/sbin:/usr/bin
    #LD_LIBRARY_PATH=/opt/lib:${LD_LIBRARY_PATH}

    export PS1 PATH LD_LIBRARY_PATH
    export TERMINFO=/opt/share/terminfo
    alias mc="mc -c"

  4. #4

    command not found

    Hi Friends,

    i detected a similar problem, and can't understand. help please!:

    Letssee contains:
    #!/bin/sh
    echo Success!

    chmod is 755

    the problem is:

    login as: root
    root@192.168.1.1's password:
    -bash-3.2# cd /opt/etc/init.d
    -bash-3.2# letssee
    -bash: letssee: command not found
    -bash-3.2# /opt/etc/init.d/letssee
    Success!
    -bash-3.2#

    please HELP Dudes!

    best regards,
    peterke

  5. #5

    re: command not found

    PS: i allready tried to # all the lines in the profile.

  6. #6

    re: command not found

    Sorry, my mistake!
    I forgot, that ./ is not in the PATH by default.
    added, resolved.
    thx!!!

Similar Threads

  1. Error ipkg update
    By DVB in forum WL-700g Firmware Discussion
    Replies: 1
    Last Post: 23-06-2008, 21:28
  2. ipkg update error
    By sarlacc in forum WL-500gP Q&A
    Replies: 1
    Last Post: 20-04-2008, 14:53
  3. ipkg installation problem
    By Syl in forum WL-500gP Q&A
    Replies: 5
    Last Post: 26-12-2007, 16:01

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •